
From: Hirokazu Takata <takata@linux-m32r.org>

Here is a patch to fix a compile error of smc91x network driver.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/smc91x.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/smc91x.c~smc91x-fix-smp-lock-usage-fix drivers/net/smc91x.c
--- 25/drivers/net/smc91x.c~smc91x-fix-smp-lock-usage-fix	2004-10-06 02:31:52.739389688 -0700
+++ 25-akpm/drivers/net/smc91x.c	2004-10-06 02:31:52.743389080 -0700
@@ -568,7 +568,7 @@ done:
 	int __ret;							\
 	local_irq_disable();						\
 	__ret = spin_trylock(lock);					\
-	if ((!__ret)							\
+	if (!__ret)							\
 		local_irq_enable();					\
 	__ret;								\
 })
_
